com.genesyslab.wfm8.API.service.RTA850

## Class AgentsInStateCount

- java.lang.Object
- - com.genesyslab.wfm8.API.service.RTA850.AgentsInStateCount

- All Implemented Interfaces:
    java.io.Serializable

      public class AgentsInStateCount
      extends java.lang.Object
      implements java.io.Serializable

  Contains adherence statistics for specified adherence states.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `adherenceState` Adherence State.
    `protected int` | `agentCount` Number of agents in this category.
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentsInStateCount()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getAdherenceState()` Gets the value of the adherenceState property.
    `int` | `getAgentCount()` Gets the value of the agentCount property.
    `int` | `hashCode()`
    `void` | `setAdherenceState(int value)` Sets the value of the adherenceState property.
    `void` | `setAgentCount(int value)` Sets the value of the agentCount property.
    `java.lang.String` | `toString()`
    `AgentsInStateCount` | `withAdherenceState(int value)`
    `AgentsInStateCount` | `withAgentCount(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### adherenceState

          protected int adherenceState

      Adherence State. Possible values:
      0 - adhering,
      1 - non-adhering
      2 - severely non-adhering
      3 - no schedule

    - #### agentCount

          protected int agentCount

      Number of agents in this category.

  - ### Constructor Detail

    - #### AgentsInStateCount

          public AgentsInStateCount()

  - ### Method Detail

    - #### getAdherenceState

          public int getAdherenceState()

      Gets the value of the adherenceState property.

    - #### setAdherenceState

          public void setAdherenceState(int value)

      Sets the value of the adherenceState property.

    - #### getAgentCount

          public int getAgentCount()

      Gets the value of the agentCount property.

    - #### setAgentCount

          public void setAgentCount(int value)

      Sets the value of the agentCount property.

    - #### withAdherenceState

          public AgentsInStateCount withAdherenceState(int value)

    - #### withAgentCount

          public AgentsInStateCount withAgentCount(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.